%define upstream_name	 Kwiki
%define upstream_version 0.39

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(mixin\\)$

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	The Kwiki Wiki Building Framework 
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(Spoon)
BuildArch:	noarch


%description
Kwiki is perhaps the simplest to install, most modular, and easiest to extend
Wiki. A Wiki allows users to freely create and edit web pages in any web
browser. Kwiki is Open Source Software in Perl, and is available on CPAN.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
#%make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Kwiki
%{perl_vendorlib}/Kwiki.pm
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.390.0-13.mga10
+ Revision: 2215873
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 0.390.0-12.mga9
+ Revision: 1901157
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.390.0-11.mga8
+ Revision: 1504865
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.390.0-10.mga7
+ Revision: 1284474
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.390.0-9.mga7
+ Revision: 1168520
- BR perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.390.0-8.mga6
+ Revision: 1028958
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.390.0-7.mga6
+ Revision: 937856
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.390.0-6.mga5
+ Revision: 750816
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 tv <tv> 0.390.0-5.mga5
+ Revision: 723794
- fix requires

* Tue Sep 16 2014 umeabot <umeabot> 0.390.0-4.mga5
+ Revision: 685162
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.390.0-3.mga4
+ Revision: 512476
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-2.mga3
+ Revision: 368862
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.390.0-1.mga1
+ Revision: 37062
- mageia rebuild
- imported package perl-Kwiki


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.390.0-1mdv2010.0
+ Revision: 402566
- update to 0.56

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.39-4mdv2009.0
+ Revision: 257390
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.39-3mdv2009.0
+ Revision: 245412
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.39-1mdv2008.1
+ Revision: 135856
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdv2007.1
+ Revision: 138514
- new version

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-3mdv2007.0
- Rebuild

* Tue Apr 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-2mdk
- Rebuild
- better sources URL
- better buildrequires syntax

* Tue Apr 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdk 
- first mandriva release

